<?php

//General
$dtsFecha = fechaTexto(date("Y-m-d"), true);
echo '<div style="font-size:12px; font-family:arial,tahoma,verdana">';
$tmplEncabezado = '<table align="center" class="print-encabezado" cellspacing="0" cellpadding="0"  style="font-size:10pt; font-family:arial,tahoma,verdana"  width="100%">'
        . '<tr>'
        . '<td align="center" class="font-size-8">República de Colombia</td>'
        . '</tr>'
        . '<tr>
            <td align="center"  class="font-size-8">Departamento del Putumayo</td>
        </tr>'
        . '<tr>
            <td align="center"><img src="../images/logo_colegio.png" width="{ancho}" height="{alto}" ></td>
          </tr>'
        . '<tr>
            <td align="center"  style="font-size:12pt; font-weight:bold">{nom_colegio}</td>
          </tr>'
        . '<tr>
            <td align="center" >RECONOCIMIENTO OFICIAL SECRETARIA DE EDUCACIÓN DEPARTAMENTAL</td></tr>'
        . '<tr>'
        . '<tr>
            <td align="center"  class="font-size-8" >{educacol}</td></tr>'
        . '<tr>'
        . '<tr>
            <td align="center"  class="font-size-8" >Decreto {decreto} - Resolución {resolucion}</td></tr>'
        . '<tr>    
            <td align="center"  class="font-size-8" >NIT {nit} - DANE: {dane}</td></tr>'
        . '</table>';

$parse = new CI_Parser();
$nomColegio = mb_strtoupper($sesion->getVar('info_colegio.nombre'));
$educacol = mb_strtoupper($sesion->getVar('info_colegio.educacion'));
$decreto = strtoupper($sesion->getVar('info_colegio.decreto'));
$resolucion = $sesion->getVar('info_colegio.resolucion');
$nit = strtoupper($sesion->getVar('info_colegio.nit'));
$rector = mb_strtoupper($sesion->getVar('info_colegio.rector'));
$trato = mb_strtoupper($sesion->getVar('info_colegio.trato'));
$dane = strtoupper($sesion->getVar('info_colegio.dane'));
$dts_pie=strtoupper($sesion->getVar('info_colegio.pie'));

$pie = '<div class="pie">'.$dts_pie.'</div>';
$dtsEncabezado = array( 
    'nom_colegio' => $nomColegio,
    'educacol' => $educacol,
    'nit' => $nit,
    'dane' => $dane,
    'alto' => $alto,
    'ancho' => $ancho,
    'resolucion' => $resolucion,
    'decreto' => $decreto,
);

$encabezadoOficio = $parse->parse($tmplEncabezado, $dtsEncabezado, true);

$fotter = $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'];
$pie_pagina = getFotter('&nbsp;', $pie, $fotter);
$codigosest = str_replace("|", ',', $codigosest);
$cad = "CALL SP_DETALLES_DOCUMENTOS('AND aca_estudiantes.cod_estudiante IN($codigosest) ','$tipo_nom_grupo');";
if ($sesion->get('ac_usuario') == 'prointel') {
    echo $cad;
}
$academia->instruccion($cad);
$row = $academia->extraer_registro();
do {


    echo $encabezadoOficio;

    $cuerpo_oficio = '<br><br><p align="center" class="font-size-14"><b>EL RECTOR DE LA {colegio}</b><br><br><br>HACE CONSTAR<br></p><br><br>'
            . '<p align="justify" class="font-size-12">Que, <b>{estudiante}</b>  identificad{genero} con {tipo_doc} número {nro_doc} expedida en {mpio_exp}, se encuentra matriculad{genero} en el Grado {nom_grado} de {tipo_edu}, en esta institución educativa, jornada {nom_jor}, año lectivo {anio}.</p>'
            . '<br><p class="font-size-12">Se expide a petición del interesado.</p>';



    $dtsCuerpo = array(
        'colegio' => $nomColegio,
        'estudiante' => formatoPalabras($row['estudiante'], $formato_nombres),
        'tipo_doc' => $row['nom_tipoiden'],
        'nro_doc' => $row['numedocumento_est'],
        'mpio_exp' => $row['nom_mpio'],
        'nom_grado' => $row['nom_grado'],
        'tipo_edu' => $row['tipo_edu'],
        'nom_jor' => $row['nom_jornada'],
        'anio' => $sesion->get('anio'),
        'genero'=>$row['genero']
    );
    echo $parse->parse($cuerpo_oficio, $dtsCuerpo, true);

    echo '<br><p class="font-size-12">Para constancia se firma el día ' . $dtsFecha["nomdia"] . ", " . $dtsFecha["dia"] . " de " . $dtsFecha["nommes"] . " de " . $dtsFecha["anio"] . ".</p>";


    echo '<br><br><br><br><br>';
    echo '<p align="center" class="font-size-12">______________________________<br><b>' . $rector . '</b><br>' . $trato . '</p>';
    echo '</div>';
    echo $pie_pagina;
    
    echo '<hr class="separador"><div id="salto" class="salto"></div>';
    
} while ($row = $academia->extraer_registro());
